### Signal

# GimpUi GradientSelectButton::gradient-set

since: 2.4

#### Declaration

    void
    gradient_set (
      GimpGradientSelectButton* self,
      gchar* gradient_name,
      gint width,
      gpointer grad_data,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description [src]

The ::gradient-set signal is emitted when the user selects a gradient.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 2.4

#### Parameters

`gradient_name`

  Type: `gchar*`

  The name of the currently selected gradient.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `gint`

  Width of the gradient.

`grad_data`

  Type: `gpointer`

  Gradient data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`dialog_closing`

  Type: `gboolean`

  Whether the dialog was closed or not.